.inputform {
  display: flex;
  justify-content: center;
  flex-direction: column;
  width: 18.75rem;
  height: 31.25rem;

  .inputform--control-text {
    position: absolute; 

    input {
      height: 4rem;
      margin: 1rem 0.25rem 0 0.25rem;
      padding: 1.75rem 0 0 0.5rem;
      border-width: 0 0 0.2rem 0;
      border-color: var(--color-grey);
      outline: none;
      font-size: 1rem;
      font-weight: 300;

      &:focus {
        caret-color: var(--color-green);
        border-color: var(--color-green);
      }

    }

    &:nth-child(1) {
      top: 23.5rem;
      z-index: 3;
    }

    &:nth-child(2) {
      top: 27.5rem;
      z-index: 2;
      display: flex;
      flex-direction: row;
    }

    &:nth-child(3) {
      top: 32.5rem;
      z-index: 1;
    }

    .inputform--input-email,
    .inputform--input-password {
      width: 19rem;
    }

    .inputform--input-name {
      display: flex;
      flex-direction: column;
    }

    .inputform--input-firstname,
    .inputform--input-lastname {
      width: 9.25rem;
      display: inline-block;
    }

    .inputform--validation-msg {
      color: var(--color-red);
    }
    
  }

  .inputform--button {
    top: 50rem;
  }

  .inputform--input-mask {
    position: absolute;
    top: 0;
    right: 1rem;
    cursor: pointer;
    margin-top: 2.725rem;
    margin-left: -3.125rem;
    font-size: 1.563rem;
  }

}
